webkit-0.12.6.1: Binding to the Webkit library.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.WebKit.GeolocationPolicyDecision

Contents

- Description
- Types
- Methods

Description

Object used to communicate with the application when downloading

Synopsis

- data GeolocationPolicyDecision
- class GObjectClass o => GeolocationPolicyDecisionClass o
- geolocationPolicyAllow :: GeolocationPolicyDecisionClass decision => decision -> IO ()
- geolocationPolicyDeny :: GeolocationPolicyDecisionClass decision => decision -> IO ()

# Description

WebKitGeolocationPolicyDecision objects are given to the application when geolocation-policy-decision-requested signal is emitted. The application uses it to tell the engine whether it wants to allow or deny geolocation for a given frame.

# Types

data GeolocationPolicyDecision

Instances

Eq GeolocationPolicyDecision |
Ord GeolocationPolicyDecision |
GObjectClass GeolocationPolicyDecision |
GeolocationPolicyDecisionClass GeolocationPolicyDecision |

class GObjectClass o => GeolocationPolicyDecisionClass o

Instances

GeolocationPolicyDecisionClass GeolocationPolicyDecision |

# Methods

geolocationPolicyAllow :: GeolocationPolicyDecisionClass decision => decision -> IO ()

Will send the allow decision to the policy implementer.

- Since 1.1.23

geolocationPolicyDeny :: GeolocationPolicyDecisionClass decision => decision -> IO ()

Will send the deny decision to the policy implementer.

- Since 1.1.23